Subject: Re: [PATCH v3 6/8] reset: make sparse-aware (except --mixed)

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Oct 2021 09:16:00 -0700

Victoria Dye <[email-masked]> writes:

> After some basic performance testing of `git reset [--hard]`, it's not clear
> whether `cache_tree_update` is definitively faster or slower than
> `prime_cache_tree`; more conclusive results would indicate which of the two
> could be skipped. I'd like to defer this to a future patch (tracking it with
> an internal issue so I don't forget) where I can perform a more thorough
> analysis across all of the commands currently using `prime_cache_tree` and
> update its usage accordingly.

Yup.  That sounds sensible.  Concentrating on correctness first is a
good direction to go.